IBM Support

Informix Warehouse Accelerator System Requirements

Product Documentation


Abstract

This document describes the system requirements for IBM® Informix Warehouse Accelerator and related tools.

Content


Last Modified: December 10, 2020

IBM® Informix® Warehouse Accelerator runs on Linux Intel x86_64(EM64T/ AMD64) and IBM POWER (Little Endian)​ systems. The Informix database server can be collocated on those systems, or it can run on one of a number of UNIX operating systems.

Important:

  • Both the Informix and Informix Warehouse Accelerator versions must be at the same release and fix pack level. For example: Informix 12.10.FC2 and Informix Warehouse Accelerator 12.10.FC2.
  • Informix Warehouse Accelerator keeps compressed data in memory. The computer where Informix Warehouse Accelerator is installed must be configured with enough memory to accommodate the size of the data marts. For information, see the topic, Configuring memory for Informix Warehouse Accelerator. in the Informix information center:http://www.ibm.com/support/knowledgecenter/SSGU8G_12.1.0/com.ibm.acc.doc/ids_acc_502.htm


The computer on which you install Informix Warehouse Accelerator must have a CPU with the Streaming SIMD Extensions 3 (SSE3) instruction set. To verify what is installed on the computer, you can run the cat /proc/cpuinfo command and look at the flags that are returned.

For example, you can use the configuration that is shown in the following table.

Component Capacity or Size
System IBM® System x3850 X5
Processor Intel Xeon CPU X7560 @ 2.26GHz (8-core)
Number of processors 4
Memory 512 GB


Informix Warehouse Accelerator can accelerate queries for an Informix database server that runs on one of the following operating systems:

  • AIX® 64-bit
  • HP-UX on Itanium 64-bit
  • Linux x86_64 64-bit
  • Linux PPC64LE 64-bit
  • Solaris SPARC 64-bit
  • Solaris x64 64-bit (11.70 and 12.10 only)


Informix Warehouse Accelerator

Platform: Linux (Intel)
Hardware: Intel® x86_64(EM64T/ AMD64)​

Minimum supported Linux versions
RHEL = Red Hat Enterprise Linux
SLES = SUSE Linux Enterprise Server

Operating System version Informix Warehouse Accelerator 14.10 Informix Warehouse Accelerator 12.10 Informix Warehouse Accelerator 11.70
RHEL 5
12.10.FC14
Additional OS requirements:
- Minimum Update 3
- Base kernel version 2.6.18
- Glibc version 2.5
11.70.FC9
Additional OS requirements:
- Minimum Update 3
- Base kernel version 2.6.18
- Glibc version 2.5
RHEL 6 12.10.FC14
Additional OS requirements:
- Base kernel version 2.6.32
- Glibc version 2.12
11.70.FC9
Additional OS requirements:
- Base kernel version 2.6.32
- Glibc version 2.12
RHEL 7
14.10.FC5
Additional OS requirements:
- Minimum update 4
- Base kernel version 3.10.0
- Glibc version ​2.17
- Xerces-C version 3.1.1
- Zlib version 1.2.7
- OpenSSL version 1.0.2
- ICU version 50.1.2
12.10.FC14
Additional OS requirements:
- Base kernel version 3.10
- Glibc version ​2.17
RHEL 8
14.10.FC5
Additional OS requirements:
- Base kernel version 4.18.0
- Glibc version ​2.28
- Xerces-C version 3.1.1
- Zlib version 1.2.11
- libncurses5
SUSE SLES 11 12.10.FC14
Additional OS requirements:
- Base kernel version 2.6.27
- Glibc version 2.9
11.70.FC9
Additional OS requirements:
- Base kernel version 2.6.27
- Glibc version 2.9
SUSE SLES 12 12.10.FC14
Additional OS requirements:
- Base kernel version 3.12.28
- Glibc version 2.19
SUSE SLES 15
14.10.FC5
Additional OS requirements:
- Base kernel version 4.12.14
- Glibc version ​2.26
- Xerces-C version 3.1.4
- Zlib version 1.2.11
- cURL version 7.60
- OpenSSL version 1.1.0
- ICU version 60.2
- libncurses5
12.10.FC14
Additional OS requirements:
- Base kernel version 4.12.14
- Glibc version 2.26
- Libzl version 1.2.11
Ubuntu 14.04 LTS 12.10.FC14
Additional OS requirements:
- Base kernel version 3.13
- Glibc version 2.19
Ubuntu 16.04 LTS 12.10.FC14
Additional OS requirements:
- Base kernel version ​4.4.0
- Glibc version 2.23
- Compiler 5.4.0
Ubuntu 17.10 12.10.FC14
Additional OS requirements:
- Base kernel version ​4.13.0
- Glibc version 2.26
- Compiler 7.2

Platform: Linux (IBM POWER Little Endian)
Hardware: IBM POWER8® for ppc64le

Minimum supported Linux versions
RHEL = Red Hat Enterprise Linux
SLES = SUSE Linux Enterprise Server

Operating System version Informix Warehouse Accelerator 14.10 Informix Warehouse Accelerator 12.10
RHEL 7
14.10.FC5
Additional OS requirements:
- Minimum update 4
- Base kernel version 3.10.0
- Glibc version ​2.17
- Xerces-C version 3.1.1
- Zlib version 1.2.7
- OpenSSL version 1.0.2
- ICU version 50.1.2
* See additional notes below #1.
12.10.FC14
Additional OS requirements:
- Minimum update 1
- Base kernel version 3.10
- Glibc version ​2.17
- Xerces-C version 3.1.1
- Zlib version 1.2.7

* See additional notes below #1.
SUSE SLES 12 12.10.FC14
Additional OS requirements:
- Base kernel version 3.12.28
- Glibc version 2.19
- Xerces-C version 3.1.1

* See additional notes below #1.
SUSE SLES 15
12.10.FC14
Additional OS requirements:
- Base kernel version 3.12.28
- Glibc version 2.19
- Xerces-C version 3.1.1
* See additional notes below #1.
Ubuntu 14.04.2 LTS 12.10.FC14
Additional OS requirements:
- Base kernel version 3.16
- Glibc version 2.19
- Xerces-C version 3.1.1

* See additional notes below #1.

Important: You must use the same version of Informix Database Server and Informix Warehouse Accelerator.

Notes:


  1. Additional requirement on Linux POWER Little Endian:
    If the Informix Database Server is installed on a Linux POWER LE machine, then this Informix Database Server requires the following package in order to connect to IWA:

    xerces-c-3.1

    Note that this requisite applies to both versions of Informix Database Server, 14.10.FC5 and 12.10.FC14.

  2. Cluster configurations
    Following are the additional hardware requirements if you install the Informix Warehouse Accelerator on a cluster system:
    • The number of CPUs and the amount of memory must be the same on each cluster node.
    • You must have at least two cluster nodes. The maximum number of cluster nodes is 256.
 

[{"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Product":{"code":"SSGU8G","label":"Informix Servers"},"Component":"Informix Warehouse Accelerator","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF010","label":"HP-UX"},{"code":"PF016","label":"Linux"},{"code":"PF027","label":"Solaris"}],"Version":"11.7;12.1;14.10","Edition":"","Line of Business":{"code":"","label":""}}]

Document Information

Modified date:
10 December 2020

UID

swg27021332